View Issue Details

IDProjectCategoryView StatusLast Update
0005455CentOS-6sambapublic2012-06-14 17:41
Reporternoangel 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Platformx86_64OSCentosOS Version6.0
Product Version6.0 
Target VersionFixed in Version 
Summary0005455: Samba server floods /var/log/messages with "smbd/server.c:281(remove_child_pid)"-like messages
Descriptionuname -a
Linux **** 2.6.32-71.29.1.el6.x86_64 #1 SMP Mon Jun 27 19:49:27 BST 2011 x86_64 x86_64 x86_64 GNU/Linux

yum list samba
samba.x86_64 3.5.10-114.el6 @base

tail -f -n 20 /var/log/messages

Jan 25 09:36:40 *** smbd[2462]: [2012/01/25 09:36:40.611087, 0] smbd/server.c:281(remove_child_pid)
Jan 25 09:36:40 *** smbd[2462]: Could not find child 20198 -- ignoring
Jan 25 09:49:41 *** smbd[2462]: [2012/01/25 09:49:41.351385, 0] smbd/server.c:281(remove_child_pid)
Jan 25 09:49:41 *** smbd[2462]: Could not find child 20386 -- ignoring
Jan 25 10:01:01 *** ntpdate[20571]: step time server 192.168.100.6 offset 0.603669 sec
Jan 25 10:02:42 *** smbd[2462]: [2012/01/25 10:02:42.595557, 0] smbd/server.c:281(remove_child_pid)
Jan 25 10:02:42 *** smbd[2462]: Could not find child 20598 -- ignoring
Jan 25 10:15:43 *** smbd[2462]: [2012/01/25 10:15:43.199342, 0] smbd/server.c:281(remove_child_pid)
Jan 25 10:15:43 *** smbd[2462]: Could not find child 20791 -- ignoring
Jan 25 10:28:43 *** smbd[2462]: [2012/01/25 10:28:43.895030, 0] smbd/server.c:281(remove_child_pid)
Jan 25 10:28:43 *** smbd[2462]: Could not find child 20974 -- ignoring
Jan 25 10:41:44 *** smbd[2462]: [2012/01/25 10:41:44.595775, 0] smbd/server.c:281(remove_child_pid)
Jan 25 10:41:44 *** smbd[2462]: Could not find child 21159 -- ignoring
Jan 25 10:54:45 *** smbd[2462]: [2012/01/25 10:54:45.324089, 0] smbd/server.c:281(remove_child_pid)
Jan 25 10:54:45 *** smbd[2462]: Could not find child 21344 -- ignoring
Jan 25 11:01:02 *** ntpdate[21450]: step time server 192.168.100.6 offset 0.608579 sec
Jan 25 11:07:46 *** smbd[2462]: [2012/01/25 11:07:46.562004, 0] smbd/server.c:281(remove_child_pid)
Jan 25 11:07:46 *** smbd[2462]: Could not find child 21547 -- ignoring
Jan 25 11:20:47 *** smbd[2462]: [2012/01/25 11:20:47.143512, 0] smbd/server.c:281(remove_child_pid)
Jan 25 11:20:47 *** smbd[2462]: Could not find child 21755 -- ignoring
Steps To Reproduceyum update
y
Additional Informationhad no problems before update samba.
tried to find patch in 3rd party repos - no success.
samba generates an error every 13 minutes.
please help
TagsNo tags attached.

Activities

noangel

noangel

2012-01-25 02:37

reporter   ~0014316

p.s. i have old kernel, because i can't reboot the server.
noangel

noangel

2012-01-25 02:43

reporter  

log.smbd.bz2 (4,058 bytes)
diego.santacruz

diego.santacruz

2012-02-08 11:29

reporter   ~0014429

This also happens on CentOS 5 with samba3x-3.5.4-0.83.el5_7.2.

See https://bugzilla.novell.com/show_bug.cgi?id=666460 for the description and possible fix; the problem is from the child process used for maintaining an up-to-date printcap cache which is apparently not registered in the list and hence the harmless warning. It prints out every "printcap cache time", default is 750 seconds (12.5 minutes).
noangel

noangel

2012-02-10 02:32

reporter   ~0014445

hmm, thank you for answer. i understand that this is "harmless warning", almost harmless, the only thing that many people like me wish to be fixed is somewhat flooded logs without any significant reason.
I ran smbstatus and got "Samba version 3.5.10-114.el6".
But 3.5.10-114 is much much newer, than one in sentence "the bug is now fixed in the updated version samba-3.5.4-5.9.1 in openSUSE 11.3" of https://bugzilla.novell.com/show_bug.cgi?id=666460 link posted above.
maybe some regression in samba server?..

ideally we need an option/commandline parameter/anything else, which can be applied to disable these annoying but meaningless log messages.
noangel

noangel

2012-02-10 02:43

reporter   ~0014446

P.S. i can see some reports in Web, that issue was fixed in 3.5.11.
any way to upgrade to samba 3.5.11 on CentOS 6?
diego.santacruz

diego.santacruz

2012-02-10 09:15

reporter   ~0014447

You can get rid of most of these warnings by increasing the value of "printcap cache time" in smb.conf. I have set it to 0 to disable it altogether, but you will need to reload the config in smbd when the printer list changes to get the new list. That works well for me at least.
noangel

noangel

2012-02-10 09:44

reporter   ~0014448

thank you!
that is it.

just added line below to smb.conf and restarted samba:
printcap cache time=0
noangel

noangel

2012-02-10 09:47

reporter   ~0014449

may be closed.
diego.santacruz

diego.santacruz

2012-02-10 09:48

reporter   ~0014450

Please do not close this bug, the problem is still there, setting "printcap cache time" is a work around that has it consequences for some setups.
svsnz

svsnz

2012-03-09 00:40

reporter   ~0014639

Still present in CentOS 6.2 as Samba is the same version (3.5.10-114.el6)

(Linux **** 2.6.32-220.4.1.el6.x86_64 #1 SMP Tue Jan 24 02:13:44 GMT 2012 x86_64 x86_64 x86_64 GNU/Linux)
MalteP

MalteP

2012-04-14 09:29

reporter   ~0014834

Also present in CentOS 6.2 / Samba 3.5.10-115.el6_2

Bug was fixed in 3.5.11, so please apply this patch if still using 3.5.10:

https://bugzilla.samba.org/show_bug.cgi?id=8269
tigalch

tigalch

2012-06-14 17:41

manager   ~0015264

samba is now at 3.5.10-116 (http://lists.centos.org/pipermail/centos-announce/2012-April/018608.html). Is the issue still present?
If yes it would be best to file a bug report upstream at https://bugzilla.redhat.com/ since CentOS will include every bug (and fix) from upstream.

Issue History

Date Modified Username Field Change
2012-01-25 02:35 noangel New Issue
2012-01-25 02:37 noangel Note Added: 0014316
2012-01-25 02:43 noangel File Added: log.smbd.bz2
2012-02-08 11:29 diego.santacruz Note Added: 0014429
2012-02-10 02:32 noangel Note Added: 0014445
2012-02-10 02:43 noangel Note Added: 0014446
2012-02-10 09:15 diego.santacruz Note Added: 0014447
2012-02-10 09:44 noangel Note Added: 0014448
2012-02-10 09:45 noangel Status new => assigned
2012-02-10 09:46 noangel Status assigned => confirmed
2012-02-10 09:46 noangel Status confirmed => acknowledged
2012-02-10 09:47 noangel Note Added: 0014449
2012-02-10 09:48 diego.santacruz Note Added: 0014450
2012-03-09 00:40 svsnz Note Added: 0014639
2012-04-14 09:29 MalteP Note Added: 0014834
2012-06-14 17:41 tigalch Note Added: 0015264